#include<bits/stdc++.h>
using namespace std;
const int maxn=1e+6;
int k,t,n,m;
int ff[maxn];
int main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	cout<<"8"<<endl;
	return 0;
}

